Subject: WG ACTION: LDAP Service Deployment (lsd)

From: Steve Coya <[email-masked]>
Date: Thu, 22 Jan 1998 08:56:52 -0500

A new working group has been formed in the Operations and Management Area of the IETF.
For additional information, contact the Area Directors
or the WG Chair.

LDAP Service Deployment (lsd)
-----------------------------
 
 Current Status: Active Working Group
 
 Chair(s):
     Chris Apple <[email-masked]>
     Roland Hedberg <[email-masked]>
 
 Operations and Management Area Director(s): 
     John Curran  <[email-masked]>
     Michael O'Dell  <[email-masked]>
 
 Operations and Management Area Advisor: 
     Michael O'Dell  <[email-masked]>
 
 Mailing Lists: 
     General Discussion:[email-masked]
     To Subscribe:      [email-masked]
         In Body:       subscribe ietf-lsd <full name>
     Archive:           ftp://ftp.umu.se/ietf-lsd/archive
 
Description of Working Group:
 
The LDAP Service Deployment working group will explore, discuss, and 
document solutions for directory deployment issues related to the 
installed base of LDAP implementations. Specifically, the working group 
seeks to publish specifications for areas which currently lack concensus 
on solutions. The areas which the working group will focus on are:

 o guidelines for writers of new schema
 o locating LDAP directory servers
 o naming and interconnection guidelines
 o minimum schema for LDAPv3 white pages (WP) interoperation
 o schema inconsistencies and mappings

Community needs are causing directory services schema to proliferate. 
The resulting specifications are sometimes inconsistent in both form and 
content. These inconsistencies contribute to interoperability problems 
encountered by users of LDAP technology today. Providing schema writers 
with guidelines will address inconsistencies of form, providing 
implementors with better specifications on which to base schema support 
in their products and services. Documentation of schema inconsistencies 
and mappings will address existing content inconsistencies, providing 
guidance for implementors seeking to better cope with the plethora of 
current, schema-related interoperability problems.

There is also a growing community need for a minimum schema for LDAPv3 
white pages directory service interoperation. Currently, there are 
several different and inconsistent meta schema for intended use as a 
reference in implementing white pages services. While meta schema are 
valuable models on which to base LDAP-specific mappings of a schema, 
they are not directly usable by LDAP service implementors today. 
Publishing an implementor-endorsed, directly usable, standards-track 
white pages schema for LDAPv3 with extensibility designed into the 
schema specification, is a requirement for successful deployment of LDAP 
in the Internet.

The prevailing model for LDAP service deployment, that of implementing 
LDAP islands, is becoming inadequate for new and emerging uses of LDAP 
technology. Among the most pressing of requirements associated with 
these new and emerging uses of LDAP technology is the need for a widely 
and consistently supported interconnection methodology for LDAP servers.
Providing LDAP implementors and users with some basic guidance on how to
locate an LDAP server is the first step. More comprehensive guidance on
naming and interconnection is also needed. Examples of topics relevant 
to this more comprehensive scope of guidance are:

 o managing the root naming context for LDAP directories
 o using of dc-based and X.500-based naming
 o guidelines for client and server implementors
 
 Goals and Milestones: 
 
   Jan 98       Submit Draft on schema inconsistencies and mappings            

   Jan 98       Submit Draft on minimum schema for LDAPv3 WP interoperation    

   Jan 98       Submit Draft on guidelines for naming and interconnection      

   Jan 98       Submit Draft on locating LDAP directory servers to BCP         

   Jan 98       Submit Draft on guidelines for schema writers                  

   Mar 98       Submit Draft on schema inconsistencies and mappings to IESG for
                consideration as Informational                                 

   Mar 98       Submit Draft on minimum schema for LDAPv3 WP interoperation to 
                IESG for consideration as a PS                                 

   Mar 98       Submit Draft on guidelines for naming and interconnection to 
                IESG for consideration as BCP                                  

   Jun 98       Submit Draft of TISDAG Project Report as ID                    

   Jul 98       Submit Draft on guidelines for schema writers to IESG for 
                consideration as a BCP                                         

   Jul 98       Submit Draft of TISDAG Project Report to IESG for publication 
                as Informational                                               

   Jul 98       Shut down WG or revise charter